MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/pcm_buffer.h File Reference

`#include <glib.h>`

Go to the source code of this file.

## Data Structures
struct | pcm_buffer
| Manager for a temporary buffer which grows as needed. More...
## Functions
static void | pcm_buffer_init (struct pcm_buffer *buffer)
| Initialize the buffer, but don't allocate anything yet.
static void | pcm_buffer_deinit (struct pcm_buffer *buffer)
| Free resources.
static void * | pcm_buffer_get (struct pcm_buffer *buffer, size_t size)
| Get the buffer, and guarantee a minimum size.

## Function Documentation

static void pcm_buffer_deinit | ( | struct pcm_buffer * | buffer | ) | `[inline, static]`

Free resources.

This function may be called more than once.

Definition at line 50 of file pcm_buffer.h.

static void* pcm_buffer_get | ( | struct pcm_buffer * | buffer,
|  | size_t | size
| ) |  | `[inline, static]`

Get the buffer, and guarantee a minimum size.

This buffer becomes invalid with the next pcm_buffer_get() call.

Definition at line 62 of file pcm_buffer.h.

static void pcm_buffer_init | ( | struct pcm_buffer * | buffer | ) | `[inline, static]`

Initialize the buffer, but don't allocate anything yet.

Definition at line 40 of file pcm_buffer.h.